Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network116.128.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
116.128.0.0
Broadcast address
116.255.255.255
First usable
116.128.0.1
Last usable
116.255.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 74800000 · Integer 1954545664 to 1962934271
Reverse DNS zones
128.116.in-addr.arpa
129.116.in-addr.arpa
130.116.in-addr.arpa
131.116.in-addr.arpa
132.116.in-addr.arpa
133.116.in-addr.arpa
134.116.in-addr.arpa
135.116.in-addr.arpa
136.116.in-addr.arpa
137.116.in-addr.arpa
138.116.in-addr.arpa
139.116.in-addr.arpa
140.116.in-addr.arpa
141.116.in-addr.arpa
142.116.in-addr.arpa
143.116.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01110100.10000000.00000000.00000000116.128.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01110100.10000000.00000000.00000000116.128.0.0
Broadcast01110100.11111111.11111111.11111111116.255.255.255
Split into smaller subnets/21

116.128.0.0/9 makes 4,096 subnets of /21; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1116.128.0.0/21116.128.0.1 to 116.128.7.254116.128.7.2552,046
2116.128.8.0/21116.128.8.1 to 116.128.15.254116.128.15.2552,046
3116.128.16.0/21116.128.16.1 to 116.128.23.254116.128.23.2552,046
4116.128.24.0/21116.128.24.1 to 116.128.31.254116.128.31.2552,046
5116.128.32.0/21116.128.32.1 to 116.128.39.254116.128.39.2552,046
6116.128.40.0/21116.128.40.1 to 116.128.47.254116.128.47.2552,046
7116.128.48.0/21116.128.48.1 to 116.128.55.254116.128.55.2552,046
8116.128.56.0/21116.128.56.1 to 116.128.63.254116.128.63.2552,046
9116.128.64.0/21116.128.64.1 to 116.128.71.254116.128.71.2552,046
10116.128.72.0/21116.128.72.1 to 116.128.79.254116.128.79.2552,046
11116.128.80.0/21116.128.80.1 to 116.128.87.254116.128.87.2552,046
12116.128.88.0/21116.128.88.1 to 116.128.95.254116.128.95.2552,046
13116.128.96.0/21116.128.96.1 to 116.128.103.254116.128.103.2552,046
14116.128.104.0/21116.128.104.1 to 116.128.111.254116.128.111.2552,046
15116.128.112.0/21116.128.112.1 to 116.128.119.254116.128.119.2552,046
16116.128.120.0/21116.128.120.1 to 116.128.127.254116.128.127.2552,046
17116.128.128.0/21116.128.128.1 to 116.128.135.254116.128.135.2552,046
18116.128.136.0/21116.128.136.1 to 116.128.143.254116.128.143.2552,046
19116.128.144.0/21116.128.144.1 to 116.128.151.254116.128.151.2552,046
20116.128.152.0/21116.128.152.1 to 116.128.159.254116.128.159.2552,046
21116.128.160.0/21116.128.160.1 to 116.128.167.254116.128.167.2552,046
22116.128.168.0/21116.128.168.1 to 116.128.175.254116.128.175.2552,046
23116.128.176.0/21116.128.176.1 to 116.128.183.254116.128.183.2552,046
24116.128.184.0/21116.128.184.1 to 116.128.191.254116.128.191.2552,046
25116.128.192.0/21116.128.192.1 to 116.128.199.254116.128.199.2552,046
26116.128.200.0/21116.128.200.1 to 116.128.207.254116.128.207.2552,046
27116.128.208.0/21116.128.208.1 to 116.128.215.254116.128.215.2552,046
28116.128.216.0/21116.128.216.1 to 116.128.223.254116.128.223.2552,046
29116.128.224.0/21116.128.224.1 to 116.128.231.254116.128.231.2552,046
30116.128.232.0/21116.128.232.1 to 116.128.239.254116.128.239.2552,046
31116.128.240.0/21116.128.240.1 to 116.128.247.254116.128.247.2552,046
32116.128.248.0/21116.128.248.1 to 116.128.255.254116.128.255.2552,046
33116.129.0.0/21116.129.0.1 to 116.129.7.254116.129.7.2552,046
34116.129.8.0/21116.129.8.1 to 116.129.15.254116.129.15.2552,046
35116.129.16.0/21116.129.16.1 to 116.129.23.254116.129.23.2552,046
36116.129.24.0/21116.129.24.1 to 116.129.31.254116.129.31.2552,046
37116.129.32.0/21116.129.32.1 to 116.129.39.254116.129.39.2552,046
38116.129.40.0/21116.129.40.1 to 116.129.47.254116.129.47.2552,046
39116.129.48.0/21116.129.48.1 to 116.129.55.254116.129.55.2552,046
40116.129.56.0/21116.129.56.1 to 116.129.63.254116.129.63.2552,046
41116.129.64.0/21116.129.64.1 to 116.129.71.254116.129.71.2552,046
42116.129.72.0/21116.129.72.1 to 116.129.79.254116.129.79.2552,046
43116.129.80.0/21116.129.80.1 to 116.129.87.254116.129.87.2552,046
44116.129.88.0/21116.129.88.1 to 116.129.95.254116.129.95.2552,046
45116.129.96.0/21116.129.96.1 to 116.129.103.254116.129.103.2552,046
46116.129.104.0/21116.129.104.1 to 116.129.111.254116.129.111.2552,046
47116.129.112.0/21116.129.112.1 to 116.129.119.254116.129.119.2552,046
48116.129.120.0/21116.129.120.1 to 116.129.127.254116.129.127.2552,046
49116.129.128.0/21116.129.128.1 to 116.129.135.254116.129.135.2552,046
50116.129.136.0/21116.129.136.1 to 116.129.143.254116.129.143.2552,046
51116.129.144.0/21116.129.144.1 to 116.129.151.254116.129.151.2552,046
52116.129.152.0/21116.129.152.1 to 116.129.159.254116.129.159.2552,046
53116.129.160.0/21116.129.160.1 to 116.129.167.254116.129.167.2552,046
54116.129.168.0/21116.129.168.1 to 116.129.175.254116.129.175.2552,046
55116.129.176.0/21116.129.176.1 to 116.129.183.254116.129.183.2552,046
56116.129.184.0/21116.129.184.1 to 116.129.191.254116.129.191.2552,046
57116.129.192.0/21116.129.192.1 to 116.129.199.254116.129.199.2552,046
58116.129.200.0/21116.129.200.1 to 116.129.207.254116.129.207.2552,046
59116.129.208.0/21116.129.208.1 to 116.129.215.254116.129.215.2552,046
60116.129.216.0/21116.129.216.1 to 116.129.223.254116.129.223.2552,046
61116.129.224.0/21116.129.224.1 to 116.129.231.254116.129.231.2552,046
62116.129.232.0/21116.129.232.1 to 116.129.239.254116.129.239.2552,046
63116.129.240.0/21116.129.240.1 to 116.129.247.254116.129.247.2552,046
64116.129.248.0/21116.129.248.1 to 116.129.255.254116.129.255.2552,046
65116.130.0.0/21116.130.0.1 to 116.130.7.254116.130.7.2552,046
66116.130.8.0/21116.130.8.1 to 116.130.15.254116.130.15.2552,046
67116.130.16.0/21116.130.16.1 to 116.130.23.254116.130.23.2552,046
68116.130.24.0/21116.130.24.1 to 116.130.31.254116.130.31.2552,046
69116.130.32.0/21116.130.32.1 to 116.130.39.254116.130.39.2552,046
70116.130.40.0/21116.130.40.1 to 116.130.47.254116.130.47.2552,046
71116.130.48.0/21116.130.48.1 to 116.130.55.254116.130.55.2552,046
72116.130.56.0/21116.130.56.1 to 116.130.63.254116.130.63.2552,046
73116.130.64.0/21116.130.64.1 to 116.130.71.254116.130.71.2552,046
74116.130.72.0/21116.130.72.1 to 116.130.79.254116.130.79.2552,046
75116.130.80.0/21116.130.80.1 to 116.130.87.254116.130.87.2552,046
76116.130.88.0/21116.130.88.1 to 116.130.95.254116.130.95.2552,046
77116.130.96.0/21116.130.96.1 to 116.130.103.254116.130.103.2552,046
78116.130.104.0/21116.130.104.1 to 116.130.111.254116.130.111.2552,046
79116.130.112.0/21116.130.112.1 to 116.130.119.254116.130.119.2552,046
80116.130.120.0/21116.130.120.1 to 116.130.127.254116.130.127.2552,046
81116.130.128.0/21116.130.128.1 to 116.130.135.254116.130.135.2552,046
82116.130.136.0/21116.130.136.1 to 116.130.143.254116.130.143.2552,046
83116.130.144.0/21116.130.144.1 to 116.130.151.254116.130.151.2552,046
84116.130.152.0/21116.130.152.1 to 116.130.159.254116.130.159.2552,046
85116.130.160.0/21116.130.160.1 to 116.130.167.254116.130.167.2552,046
86116.130.168.0/21116.130.168.1 to 116.130.175.254116.130.175.2552,046
87116.130.176.0/21116.130.176.1 to 116.130.183.254116.130.183.2552,046
88116.130.184.0/21116.130.184.1 to 116.130.191.254116.130.191.2552,046
89116.130.192.0/21116.130.192.1 to 116.130.199.254116.130.199.2552,046
90116.130.200.0/21116.130.200.1 to 116.130.207.254116.130.207.2552,046
91116.130.208.0/21116.130.208.1 to 116.130.215.254116.130.215.2552,046
92116.130.216.0/21116.130.216.1 to 116.130.223.254116.130.223.2552,046
93116.130.224.0/21116.130.224.1 to 116.130.231.254116.130.231.2552,046
94116.130.232.0/21116.130.232.1 to 116.130.239.254116.130.239.2552,046
95116.130.240.0/21116.130.240.1 to 116.130.247.254116.130.247.2552,046
96116.130.248.0/21116.130.248.1 to 116.130.255.254116.130.255.2552,046
97116.131.0.0/21116.131.0.1 to 116.131.7.254116.131.7.2552,046
98116.131.8.0/21116.131.8.1 to 116.131.15.254116.131.15.2552,046
99116.131.16.0/21116.131.16.1 to 116.131.23.254116.131.23.2552,046
100116.131.24.0/21116.131.24.1 to 116.131.31.254116.131.31.2552,046
101116.131.32.0/21116.131.32.1 to 116.131.39.254116.131.39.2552,046
102116.131.40.0/21116.131.40.1 to 116.131.47.254116.131.47.2552,046
103116.131.48.0/21116.131.48.1 to 116.131.55.254116.131.55.2552,046
104116.131.56.0/21116.131.56.1 to 116.131.63.254116.131.63.2552,046
105116.131.64.0/21116.131.64.1 to 116.131.71.254116.131.71.2552,046
106116.131.72.0/21116.131.72.1 to 116.131.79.254116.131.79.2552,046
107116.131.80.0/21116.131.80.1 to 116.131.87.254116.131.87.2552,046
108116.131.88.0/21116.131.88.1 to 116.131.95.254116.131.95.2552,046
109116.131.96.0/21116.131.96.1 to 116.131.103.254116.131.103.2552,046
110116.131.104.0/21116.131.104.1 to 116.131.111.254116.131.111.2552,046
111116.131.112.0/21116.131.112.1 to 116.131.119.254116.131.119.2552,046
112116.131.120.0/21116.131.120.1 to 116.131.127.254116.131.127.2552,046
113116.131.128.0/21116.131.128.1 to 116.131.135.254116.131.135.2552,046
114116.131.136.0/21116.131.136.1 to 116.131.143.254116.131.143.2552,046
115116.131.144.0/21116.131.144.1 to 116.131.151.254116.131.151.2552,046
116116.131.152.0/21116.131.152.1 to 116.131.159.254116.131.159.2552,046
117116.131.160.0/21116.131.160.1 to 116.131.167.254116.131.167.2552,046
118116.131.168.0/21116.131.168.1 to 116.131.175.254116.131.175.2552,046
119116.131.176.0/21116.131.176.1 to 116.131.183.254116.131.183.2552,046
120116.131.184.0/21116.131.184.1 to 116.131.191.254116.131.191.2552,046
121116.131.192.0/21116.131.192.1 to 116.131.199.254116.131.199.2552,046
122116.131.200.0/21116.131.200.1 to 116.131.207.254116.131.207.2552,046
123116.131.208.0/21116.131.208.1 to 116.131.215.254116.131.215.2552,046
124116.131.216.0/21116.131.216.1 to 116.131.223.254116.131.223.2552,046
125116.131.224.0/21116.131.224.1 to 116.131.231.254116.131.231.2552,046
126116.131.232.0/21116.131.232.1 to 116.131.239.254116.131.239.2552,046
127116.131.240.0/21116.131.240.1 to 116.131.247.254116.131.247.2552,046
128116.131.248.0/21116.131.248.1 to 116.131.255.254116.131.255.2552,046
129116.132.0.0/21116.132.0.1 to 116.132.7.254116.132.7.2552,046
130116.132.8.0/21116.132.8.1 to 116.132.15.254116.132.15.2552,046
131116.132.16.0/21116.132.16.1 to 116.132.23.254116.132.23.2552,046
132116.132.24.0/21116.132.24.1 to 116.132.31.254116.132.31.2552,046
133116.132.32.0/21116.132.32.1 to 116.132.39.254116.132.39.2552,046
134116.132.40.0/21116.132.40.1 to 116.132.47.254116.132.47.2552,046
135116.132.48.0/21116.132.48.1 to 116.132.55.254116.132.55.2552,046
136116.132.56.0/21116.132.56.1 to 116.132.63.254116.132.63.2552,046
137116.132.64.0/21116.132.64.1 to 116.132.71.254116.132.71.2552,046
138116.132.72.0/21116.132.72.1 to 116.132.79.254116.132.79.2552,046
139116.132.80.0/21116.132.80.1 to 116.132.87.254116.132.87.2552,046
140116.132.88.0/21116.132.88.1 to 116.132.95.254116.132.95.2552,046
141116.132.96.0/21116.132.96.1 to 116.132.103.254116.132.103.2552,046
142116.132.104.0/21116.132.104.1 to 116.132.111.254116.132.111.2552,046
143116.132.112.0/21116.132.112.1 to 116.132.119.254116.132.119.2552,046
144116.132.120.0/21116.132.120.1 to 116.132.127.254116.132.127.2552,046
145116.132.128.0/21116.132.128.1 to 116.132.135.254116.132.135.2552,046
146116.132.136.0/21116.132.136.1 to 116.132.143.254116.132.143.2552,046
147116.132.144.0/21116.132.144.1 to 116.132.151.254116.132.151.2552,046
148116.132.152.0/21116.132.152.1 to 116.132.159.254116.132.159.2552,046
149116.132.160.0/21116.132.160.1 to 116.132.167.254116.132.167.2552,046
150116.132.168.0/21116.132.168.1 to 116.132.175.254116.132.175.2552,046
151116.132.176.0/21116.132.176.1 to 116.132.183.254116.132.183.2552,046
152116.132.184.0/21116.132.184.1 to 116.132.191.254116.132.191.2552,046
153116.132.192.0/21116.132.192.1 to 116.132.199.254116.132.199.2552,046
154116.132.200.0/21116.132.200.1 to 116.132.207.254116.132.207.2552,046
155116.132.208.0/21116.132.208.1 to 116.132.215.254116.132.215.2552,046
156116.132.216.0/21116.132.216.1 to 116.132.223.254116.132.223.2552,046
157116.132.224.0/21116.132.224.1 to 116.132.231.254116.132.231.2552,046
158116.132.232.0/21116.132.232.1 to 116.132.239.254116.132.239.2552,046
159116.132.240.0/21116.132.240.1 to 116.132.247.254116.132.247.2552,046
160116.132.248.0/21116.132.248.1 to 116.132.255.254116.132.255.2552,046
161116.133.0.0/21116.133.0.1 to 116.133.7.254116.133.7.2552,046
162116.133.8.0/21116.133.8.1 to 116.133.15.254116.133.15.2552,046
163116.133.16.0/21116.133.16.1 to 116.133.23.254116.133.23.2552,046
164116.133.24.0/21116.133.24.1 to 116.133.31.254116.133.31.2552,046
165116.133.32.0/21116.133.32.1 to 116.133.39.254116.133.39.2552,046
166116.133.40.0/21116.133.40.1 to 116.133.47.254116.133.47.2552,046
167116.133.48.0/21116.133.48.1 to 116.133.55.254116.133.55.2552,046
168116.133.56.0/21116.133.56.1 to 116.133.63.254116.133.63.2552,046
169116.133.64.0/21116.133.64.1 to 116.133.71.254116.133.71.2552,046
170116.133.72.0/21116.133.72.1 to 116.133.79.254116.133.79.2552,046
171116.133.80.0/21116.133.80.1 to 116.133.87.254116.133.87.2552,046
172116.133.88.0/21116.133.88.1 to 116.133.95.254116.133.95.2552,046
173116.133.96.0/21116.133.96.1 to 116.133.103.254116.133.103.2552,046
174116.133.104.0/21116.133.104.1 to 116.133.111.254116.133.111.2552,046
175116.133.112.0/21116.133.112.1 to 116.133.119.254116.133.119.2552,046
176116.133.120.0/21116.133.120.1 to 116.133.127.254116.133.127.2552,046
177116.133.128.0/21116.133.128.1 to 116.133.135.254116.133.135.2552,046
178116.133.136.0/21116.133.136.1 to 116.133.143.254116.133.143.2552,046
179116.133.144.0/21116.133.144.1 to 116.133.151.254116.133.151.2552,046
180116.133.152.0/21116.133.152.1 to 116.133.159.254116.133.159.2552,046
181116.133.160.0/21116.133.160.1 to 116.133.167.254116.133.167.2552,046
182116.133.168.0/21116.133.168.1 to 116.133.175.254116.133.175.2552,046
183116.133.176.0/21116.133.176.1 to 116.133.183.254116.133.183.2552,046
184116.133.184.0/21116.133.184.1 to 116.133.191.254116.133.191.2552,046
185116.133.192.0/21116.133.192.1 to 116.133.199.254116.133.199.2552,046
186116.133.200.0/21116.133.200.1 to 116.133.207.254116.133.207.2552,046
187116.133.208.0/21116.133.208.1 to 116.133.215.254116.133.215.2552,046
188116.133.216.0/21116.133.216.1 to 116.133.223.254116.133.223.2552,046
189116.133.224.0/21116.133.224.1 to 116.133.231.254116.133.231.2552,046
190116.133.232.0/21116.133.232.1 to 116.133.239.254116.133.239.2552,046
191116.133.240.0/21116.133.240.1 to 116.133.247.254116.133.247.2552,046
192116.133.248.0/21116.133.248.1 to 116.133.255.254116.133.255.2552,046
193116.134.0.0/21116.134.0.1 to 116.134.7.254116.134.7.2552,046
194116.134.8.0/21116.134.8.1 to 116.134.15.254116.134.15.2552,046
195116.134.16.0/21116.134.16.1 to 116.134.23.254116.134.23.2552,046
196116.134.24.0/21116.134.24.1 to 116.134.31.254116.134.31.2552,046
197116.134.32.0/21116.134.32.1 to 116.134.39.254116.134.39.2552,046
198116.134.40.0/21116.134.40.1 to 116.134.47.254116.134.47.2552,046
199116.134.48.0/21116.134.48.1 to 116.134.55.254116.134.55.2552,046
200116.134.56.0/21116.134.56.1 to 116.134.63.254116.134.63.2552,046
201116.134.64.0/21116.134.64.1 to 116.134.71.254116.134.71.2552,046
202116.134.72.0/21116.134.72.1 to 116.134.79.254116.134.79.2552,046
203116.134.80.0/21116.134.80.1 to 116.134.87.254116.134.87.2552,046
204116.134.88.0/21116.134.88.1 to 116.134.95.254116.134.95.2552,046
205116.134.96.0/21116.134.96.1 to 116.134.103.254116.134.103.2552,046
206116.134.104.0/21116.134.104.1 to 116.134.111.254116.134.111.2552,046
207116.134.112.0/21116.134.112.1 to 116.134.119.254116.134.119.2552,046
208116.134.120.0/21116.134.120.1 to 116.134.127.254116.134.127.2552,046
209116.134.128.0/21116.134.128.1 to 116.134.135.254116.134.135.2552,046
210116.134.136.0/21116.134.136.1 to 116.134.143.254116.134.143.2552,046
211116.134.144.0/21116.134.144.1 to 116.134.151.254116.134.151.2552,046
212116.134.152.0/21116.134.152.1 to 116.134.159.254116.134.159.2552,046
213116.134.160.0/21116.134.160.1 to 116.134.167.254116.134.167.2552,046
214116.134.168.0/21116.134.168.1 to 116.134.175.254116.134.175.2552,046
215116.134.176.0/21116.134.176.1 to 116.134.183.254116.134.183.2552,046
216116.134.184.0/21116.134.184.1 to 116.134.191.254116.134.191.2552,046
217116.134.192.0/21116.134.192.1 to 116.134.199.254116.134.199.2552,046
218116.134.200.0/21116.134.200.1 to 116.134.207.254116.134.207.2552,046
219116.134.208.0/21116.134.208.1 to 116.134.215.254116.134.215.2552,046
220116.134.216.0/21116.134.216.1 to 116.134.223.254116.134.223.2552,046
221116.134.224.0/21116.134.224.1 to 116.134.231.254116.134.231.2552,046
222116.134.232.0/21116.134.232.1 to 116.134.239.254116.134.239.2552,046
223116.134.240.0/21116.134.240.1 to 116.134.247.254116.134.247.2552,046
224116.134.248.0/21116.134.248.1 to 116.134.255.254116.134.255.2552,046
225116.135.0.0/21116.135.0.1 to 116.135.7.254116.135.7.2552,046
226116.135.8.0/21116.135.8.1 to 116.135.15.254116.135.15.2552,046
227116.135.16.0/21116.135.16.1 to 116.135.23.254116.135.23.2552,046
228116.135.24.0/21116.135.24.1 to 116.135.31.254116.135.31.2552,046
229116.135.32.0/21116.135.32.1 to 116.135.39.254116.135.39.2552,046
230116.135.40.0/21116.135.40.1 to 116.135.47.254116.135.47.2552,046
231116.135.48.0/21116.135.48.1 to 116.135.55.254116.135.55.2552,046
232116.135.56.0/21116.135.56.1 to 116.135.63.254116.135.63.2552,046
233116.135.64.0/21116.135.64.1 to 116.135.71.254116.135.71.2552,046
234116.135.72.0/21116.135.72.1 to 116.135.79.254116.135.79.2552,046
235116.135.80.0/21116.135.80.1 to 116.135.87.254116.135.87.2552,046
236116.135.88.0/21116.135.88.1 to 116.135.95.254116.135.95.2552,046
237116.135.96.0/21116.135.96.1 to 116.135.103.254116.135.103.2552,046
238116.135.104.0/21116.135.104.1 to 116.135.111.254116.135.111.2552,046
239116.135.112.0/21116.135.112.1 to 116.135.119.254116.135.119.2552,046
240116.135.120.0/21116.135.120.1 to 116.135.127.254116.135.127.2552,046
241116.135.128.0/21116.135.128.1 to 116.135.135.254116.135.135.2552,046
242116.135.136.0/21116.135.136.1 to 116.135.143.254116.135.143.2552,046
243116.135.144.0/21116.135.144.1 to 116.135.151.254116.135.151.2552,046
244116.135.152.0/21116.135.152.1 to 116.135.159.254116.135.159.2552,046
245116.135.160.0/21116.135.160.1 to 116.135.167.254116.135.167.2552,046
246116.135.168.0/21116.135.168.1 to 116.135.175.254116.135.175.2552,046
247116.135.176.0/21116.135.176.1 to 116.135.183.254116.135.183.2552,046
248116.135.184.0/21116.135.184.1 to 116.135.191.254116.135.191.2552,046
249116.135.192.0/21116.135.192.1 to 116.135.199.254116.135.199.2552,046
250116.135.200.0/21116.135.200.1 to 116.135.207.254116.135.207.2552,046
251116.135.208.0/21116.135.208.1 to 116.135.215.254116.135.215.2552,046
252116.135.216.0/21116.135.216.1 to 116.135.223.254116.135.223.2552,046
253116.135.224.0/21116.135.224.1 to 116.135.231.254116.135.231.2552,046
254116.135.232.0/21116.135.232.1 to 116.135.239.254116.135.239.2552,046
255116.135.240.0/21116.135.240.1 to 116.135.247.254116.135.247.2552,046
256116.135.248.0/21116.135.248.1 to 116.135.255.254116.135.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses